[packages/rpm-build-tools] - don't redirect stdin (same for build with logging on).

arekm arekm at pld-linux.org
Thu Feb 21 06:56:11 CET 2013


commit 806a7b728818bd6eff713c28795c219981c91c7a
Author: Arkadiusz Miśkiewicz <arekm at maven.pl>
Date:   Thu Feb 21 06:56:09 2013 +0100

    - don't redirect stdin (same for build with logging on).

 builder.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
---
diff --git a/builder.sh b/builder.sh
index cbc90db..c34c309 100755
--- a/builder.sh
+++ b/builder.sh
@@ -511,7 +511,7 @@ teeboth() {
 		local efile rc logfile=$1; shift
 		if [ "$logfile" ]; then
 			efile=$(tempfile)
-			{ "$@" < /dev/null 2>&1; echo $? > $efile; } | tee -a $logfile
+			{ "$@" 2>&1; echo $? > $efile; } | tee -a $logfile
 			rc=$(< $efile)
 			rm -f $efile
 		else
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/rpm-build-tools.git/commitdiff/806a7b728818bd6eff713c28795c219981c91c7a



More information about the pld-cvs-commit mailing list